Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.query.plan.logical
Class AttributeName

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Name
                  com.dbxml.db.core.query.plan.logical.AttributeName

public final class AttributeName
extends Name

AttributeName

Field Summary
`static AttributeName` | `Wildcard`

Constructor Summary
`AttributeName(java.lang.String name)`
`AttributeName(java.lang.String nsURI, java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`

Methods inherited from class com.dbxml.db.core.query.plan.logical.Name
`getName, getNSURI`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Wildcard

    public static final AttributeName Wildcard

Constructor Detail

### AttributeName

    public AttributeName(java.lang.String nsURI,
                         java.lang.String name)

### AttributeName

    public AttributeName(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group